API per partner › Impostazioni Elimina offerta speciale POST /api/crm/v2/special_offers_list.deletev2
operationId: specialOffersList.delete
Elimina un'offerta speciale insieme alla sua immagine dal disco.
Autorizzazione api-token + language + role
Parametri della richiesta branch_id integer
La filiale in cui viene eseguita la richiesta. Un partner con più filiali è obbligato a specificarla, altrimenti la richiesta fallirà con un errore. Per un partner con una sola filiale, il server la imposta automaticamente.
Esempio: 8778
Corpo della richiesta application/json object
id integer obbligatorio
Esempio: 2
Risposte 200
object
status string obbligatorio
Valori: successerror
Esempio: success
curl PHP JavaScript Python Copiare
curl -X POST 'https://foodsoul.pro/api/crm/v2/special_offers_list.delete' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: it' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":2}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/special_offers_list.delete' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'it' ,
'role' => 'partner' ,
],
'json' => [
'id' => 2 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/special_offers_list.delete" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 2
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/special_offers_list.delete" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner" ,
},
json ={
"id" : 2 ,
},
)
data = response . json () Risposta 200
{
"status" : "success" ,
"data" : {}
} Le richieste vengono inviate a foodsoul.pro, che è l’host di questo portale; non è possibile sceglierne un altro.